Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.services.jbpm
Class Constants

    java.lang.Object
      org.jboss.soa.esb.services.jbpm.Constants

    public class Constants

extends java.lang.Object

Author:
  schifest@heuristica.com.ar

Nested Class Summary
`static class` | `Constants.OpCode`

Field Summary
`static java.lang.String` | `ACTOR_ID`
`static java.lang.String` | `ACTOR_NAMES_ARRAY`
`static java.lang.String` | `ACTORS_TAG`
`static java.lang.String` | `BODY_CONTENT_VARIABLE_NAME`
`static java.lang.String` | `BPM_NAME_ATTR`
`static java.lang.String` | `BPM_TO_ESB_VARS_TAG`
`static java.lang.String` | `BPM_VARNAME_TAG`
`static java.lang.String` | `COMMAND_CODE`
`static java.lang.String` | `COMMAND_CODE_TAG`
`static java.lang.String` | `CREATE_START_TASK`
`static java.lang.String` | `CURRENT_NODE_NAME`
`static java.lang.String` | `DEFAULT_VALUE_TAG`
`static java.lang.String` | `EPR_FAULT`
`static java.lang.String` | `EPR_REPLY`
`static java.lang.String` | `ERROR_MESSAGE`
`static java.lang.String` | `ESB_NAME_ATTR`
`static java.lang.String` | `ESB_TO_BPM_VARS_TAG`
`static java.lang.String` | `ESB_VARNAME_TAG`
`static java.lang.String` | `EXCEPTION`
`static java.lang.String` | `FAULT_TO`
`static java.lang.String` | `HAS_ENDED`
`static java.lang.String` | `INCLUDE_ALL_VARS_TAG`
`static java.lang.String` | `INCLUDE_LOGS`
`static java.lang.String` | `INCLUDE_LOGS_TAG`
`static java.lang.String` | `INCLUDE_VARIABLES`
`static java.lang.String` | `JBPM_LOG_MAP`
`static java.lang.String` | `JBPM_RETURN_OBJECT`
`static java.lang.String` | `KEY_TAG`
`static java.lang.String` | `KEYPATH`
`static java.lang.String` | `MAPPING_TAG`
`static java.lang.String` | `NODE_ID`
`static java.lang.String` | `ONE_ACTOR_TAG`
`static java.lang.String` | `ONE_VARIABLE_TAG`
`static java.lang.String` | `OVERWRITE_SWIMLANE`
`static java.lang.String` | `OVERWRITE_SWIMLANE_TAG`
`static java.lang.String` | `PROCESS_DEFINITION`
`static java.lang.String` | `PROCESS_DEFINITION_FILE_TAG`
`static java.lang.String` | `PROCESS_DEFINITION_ID`
`static java.lang.String` | `PROCESS_DEFINITION_ID_TAG`
`static java.lang.String` | `PROCESS_DEFINITION_NAME`
`static java.lang.String` | `PROCESS_DEFINITION_NAME_TAG`
`static java.lang.String` | `PROCESS_DEFINITION_VERSION`
`static java.lang.String` | `PROCESS_DEFINITION_XML`
`static java.lang.String` | `PROCESS_DEFINITION_XML_TAG`
`static java.lang.String` | `PROCESS_INSTANCE_ID`
`static java.lang.String` | `PROCESS_NODE_VERSION_COUNTER`
`static java.lang.String` | `PROCESS_SCOPE_ATTR`
`static java.lang.String` | `REPLY_TO`
`static java.lang.String` | `REPLY_TO_ORIGINATOR_TAG`
`static java.lang.String` | `RETCODE_ERROR`
`static java.lang.String` | `RETCODE_EXCEPTION`
`static java.lang.String` | `RETCODE_INVALID_OPCODE`
`static java.lang.String` | `RETCODE_OK`
`static java.lang.String` | `RETURN_CODE`
`static java.lang.String` | `TASK_ID_LIST`
`static java.lang.String` | `TASK_INSTANCE_ID`
`static java.lang.String` | `TOKEN_ID`
`static java.lang.String` | `TRANSITION_NAME`
`static java.lang.String` | `TRANSITION_NAME_TAG`
`static java.lang.String` | `VARIABLE_NAMES_ARRAY`
`static java.lang.String` | `VARIABLE_VALUES`
`static java.lang.String` | `VARIABLES_TAG`

Constructor Summary
`Constants()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BODY_CONTENT_VARIABLE_NAME

    public static final java.lang.String BODY_CONTENT_VARIABLE_NAME

See Also:
  Constant Field Values

### COMMAND_CODE

    public static final java.lang.String COMMAND_CODE

See Also:
  Constant Field Values

### PROCESS_DEFINITION

    public static final java.lang.String PROCESS_DEFINITION

See Also:
  Constant Field Values

### PROCESS_DEFINITION_XML

    public static final java.lang.String PROCESS_DEFINITION_XML

See Also:
  Constant Field Values

### PROCESS_DEFINITION_NAME

    public static final java.lang.String PROCESS_DEFINITION_NAME

See Also:
  Constant Field Values

### PROCESS_DEFINITION_ID

    public static final java.lang.String PROCESS_DEFINITION_ID

See Also:
  Constant Field Values

### PROCESS_DEFINITION_VERSION

    public static final java.lang.String PROCESS_DEFINITION_VERSION

See Also:
  Constant Field Values

### PROCESS_INSTANCE_ID

    public static final java.lang.String PROCESS_INSTANCE_ID

See Also:
  Constant Field Values

### HAS_ENDED

    public static final java.lang.String HAS_ENDED

See Also:
  Constant Field Values

### TASK_INSTANCE_ID

    public static final java.lang.String TASK_INSTANCE_ID

See Also:
  Constant Field Values

### TASK_ID_LIST

    public static final java.lang.String TASK_ID_LIST

See Also:
  Constant Field Values

### TOKEN_ID

    public static final java.lang.String TOKEN_ID

See Also:
  Constant Field Values

### CREATE_START_TASK

    public static final java.lang.String CREATE_START_TASK

See Also:
  Constant Field Values

### INCLUDE_VARIABLES

    public static final java.lang.String INCLUDE_VARIABLES

See Also:
  Constant Field Values

### INCLUDE_LOGS

    public static final java.lang.String INCLUDE_LOGS

See Also:
  Constant Field Values

### VARIABLE_NAMES_ARRAY

    public static final java.lang.String VARIABLE_NAMES_ARRAY

See Also:
  Constant Field Values

### ACTOR_ID

    public static final java.lang.String ACTOR_ID

See Also:
  Constant Field Values

### ACTOR_NAMES_ARRAY

    public static final java.lang.String ACTOR_NAMES_ARRAY

See Also:
  Constant Field Values

### OVERWRITE_SWIMLANE

    public static final java.lang.String OVERWRITE_SWIMLANE

See Also:
  Constant Field Values

### KEYPATH

    public static final java.lang.String KEYPATH

See Also:
  Constant Field Values

### NODE_ID

    public static final java.lang.String NODE_ID

See Also:
  Constant Field Values

### PROCESS_NODE_VERSION_COUNTER

    public static final java.lang.String PROCESS_NODE_VERSION_COUNTER

See Also:
  Constant Field Values

### TRANSITION_NAME

    public static final java.lang.String TRANSITION_NAME

See Also:
  Constant Field Values

### CURRENT_NODE_NAME

    public static final java.lang.String CURRENT_NODE_NAME

See Also:
  Constant Field Values

### VARIABLE_VALUES

    public static final java.lang.String VARIABLE_VALUES

See Also:
  Constant Field Values

### JBPM_RETURN_OBJECT

    public static final java.lang.String JBPM_RETURN_OBJECT

See Also:
  Constant Field Values

### EXCEPTION

    public static final java.lang.String EXCEPTION

See Also:
  Constant Field Values

### ERROR_MESSAGE

    public static final java.lang.String ERROR_MESSAGE

See Also:
  Constant Field Values

### RETURN_CODE

    public static final java.lang.String RETURN_CODE

See Also:
  Constant Field Values

### JBPM_LOG_MAP

    public static final java.lang.String JBPM_LOG_MAP

See Also:
  Constant Field Values

### REPLY_TO

    public static final java.lang.String REPLY_TO

See Also:
  Constant Field Values

### FAULT_TO

    public static final java.lang.String FAULT_TO

See Also:
  Constant Field Values

### RETCODE_OK

    public static final java.lang.String RETCODE_OK

See Also:
  Constant Field Values

### RETCODE_INVALID_OPCODE

    public static final java.lang.String RETCODE_INVALID_OPCODE

See Also:
  Constant Field Values

### RETCODE_EXCEPTION

    public static final java.lang.String RETCODE_EXCEPTION

See Also:
  Constant Field Values

### RETCODE_ERROR

    public static final java.lang.String RETCODE_ERROR

See Also:
  Constant Field Values

### COMMAND_CODE_TAG

    public static final java.lang.String COMMAND_CODE_TAG

See Also:
  Constant Field Values

### PROCESS_DEFINITION_FILE_TAG

    public static final java.lang.String PROCESS_DEFINITION_FILE_TAG

See Also:
  Constant Field Values

### PROCESS_DEFINITION_XML_TAG

    public static final java.lang.String PROCESS_DEFINITION_XML_TAG

See Also:
  Constant Field Values

### PROCESS_DEFINITION_NAME_TAG

    public static final java.lang.String PROCESS_DEFINITION_NAME_TAG

See Also:
  Constant Field Values

### PROCESS_DEFINITION_ID_TAG

    public static final java.lang.String PROCESS_DEFINITION_ID_TAG

See Also:
  Constant Field Values

### TRANSITION_NAME_TAG

    public static final java.lang.String TRANSITION_NAME_TAG

See Also:
  Constant Field Values

### INCLUDE_ALL_VARS_TAG

    public static final java.lang.String INCLUDE_ALL_VARS_TAG

See Also:
  Constant Field Values

### INCLUDE_LOGS_TAG

    public static final java.lang.String INCLUDE_LOGS_TAG

See Also:
  Constant Field Values

### VARIABLES_TAG

    public static final java.lang.String VARIABLES_TAG

See Also:
  Constant Field Values

### ONE_VARIABLE_TAG

    public static final java.lang.String ONE_VARIABLE_TAG

See Also:
  Constant Field Values

### ESB_VARNAME_TAG

    public static final java.lang.String ESB_VARNAME_TAG

See Also:
  Constant Field Values

### BPM_VARNAME_TAG

    public static final java.lang.String BPM_VARNAME_TAG

See Also:
  Constant Field Values

### DEFAULT_VALUE_TAG

    public static final java.lang.String DEFAULT_VALUE_TAG

See Also:
  Constant Field Values

### ACTORS_TAG

    public static final java.lang.String ACTORS_TAG

See Also:
  Constant Field Values

### ONE_ACTOR_TAG

    public static final java.lang.String ONE_ACTOR_TAG

See Also:
  Constant Field Values

### OVERWRITE_SWIMLANE_TAG

    public static final java.lang.String OVERWRITE_SWIMLANE_TAG

See Also:
  Constant Field Values

### KEY_TAG

    public static final java.lang.String KEY_TAG

See Also:
  Constant Field Values

### REPLY_TO_ORIGINATOR_TAG

    public static final java.lang.String REPLY_TO_ORIGINATOR_TAG

See Also:
  Constant Field Values

### BPM_TO_ESB_VARS_TAG

    public static final java.lang.String BPM_TO_ESB_VARS_TAG

See Also:
  Constant Field Values

### ESB_TO_BPM_VARS_TAG

    public static final java.lang.String ESB_TO_BPM_VARS_TAG

See Also:
  Constant Field Values

### MAPPING_TAG

    public static final java.lang.String MAPPING_TAG

See Also:
  Constant Field Values

### BPM_NAME_ATTR

    public static final java.lang.String BPM_NAME_ATTR

See Also:
  Constant Field Values

### ESB_NAME_ATTR

    public static final java.lang.String ESB_NAME_ATTR

See Also:
  Constant Field Values

### PROCESS_SCOPE_ATTR

    public static final java.lang.String PROCESS_SCOPE_ATTR

See Also:
  Constant Field Values

### EPR_REPLY

    public static final java.lang.String EPR_REPLY

See Also:
  Constant Field Values

### EPR_FAULT

    public static final java.lang.String EPR_FAULT

See Also:
  Constant Field Values

Constructor Detail

### Constants

    public Constants()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD